> For the complete documentation index, see [llms.txt](https://docs.cosmocloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cosmocloud.io/references/change-log.md).

# Change log

## v0.0.14

Release Date - *10th July, 2024*

* New features
  * New `includes` operator in building conditions in Flow Builder.
  * New Nodes
    * [Merge JSON Objects](/flow-builder/node-types/variable-nodes/json/merge-json-objects.md)
    * [BuildMap](/flow-builder/node-types/variable-nodes/special/build-map.md)
  * New operators
    * [$buildMap](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdbuildmap.md)
  * If Else node and other conditional nodes now can build conditions in raw JSON to use Magical Autocomplete
* Revamps
  * Update Project and Organisation Delete with OTP confirmations
  * Renamed few nodes -
    * Build JSON - [Build JSON Object](/flow-builder/node-types/variable-nodes/json/build-json-object.md)
    * Merge JSON - [Update JSON Object](/flow-builder/node-types/variable-nodes/json/update-json-object.md)
    * Custom Query Records - [Run Aggregation Pipeline](/flow-builder/node-types/database-nodes/run-aggregation-pipeline.md)
  * Add autofill for Object Storage name in template
* Platform Bug Fixes

## v0.0.13

Release Date - *19th June, 2024*

* Bug fixes
  * Remove limit of APIs shown in Releases dropdown.
  * Fix documentation link for connect your database.
  * Logs UI update
  * Fix scroll and pagination issues

## v0.0.12

Release Date - *12th June, 2024*

* New Features
  * Search and Token filters in Custom Analysers

## v0.0.11

*Release Date - 5th June, 2024*

* New Features
  * Magical Autocomplete now resolves Secrets.
  * Magical Autocomplete now resolves Request Body and Query Params
  * Add Switch Case v2
  * Node Explorer has Category tabs

## v0.0.10

*Release Date - 9th May, 2024*

* New Features
  * Node explorer in Flow Builder now have categories.
* Upgrades Features
  * Full Text Search has been ramped up
    * You can add custom Search Analyzer
    * You can have nested fields
    * You can define multi analyzers on each field
  * Storage Accounts has been renamed **Object Storage**.
* Updated API Templates
  * New API `Delete Objects` in `Fetch / Upload Media APIs`
  * New schema for errors in User Defined APIs, for better debugging process.
* New nodes available in Flow Builder
  * Switch Case v2
  * Delete Object in Object Storage
* Bug Fixes
  * User invitation issue fixed, when an email is invited which does not exist on Cosmocloud.
  * Request model / Query model caching issues in API details page
  * Adding Magical Autocomplete to `$regularExpressions`, `$oid`, etc in custom MongoDB queries did not load properly.

## v0.0.9

*Release Date - 22 April, 2024*

* New operators in CQL
  * Maths operators
    * [$abs](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdabs.md)
    * [$avg](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdavg.md)
    * [$ceil](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdceil.md)
    * [$floor](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdfloor.md)
    * [$mod](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdmod.md)
    * [$sqrt](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdsqrt.md)
  * Date operators
    * [$buildDateTime](/flow-builder/cql-cosmocloud-query-language/building-expressions/usdbuilddatetime.md)

## v0.0.8

*Release Date - 18 Apr 2024*

* New nodes available in Flow Engine
  * [Extend Array](/flow-builder/node-types/variable-nodes/arrays/extend-array.md)

## v0.0.7

*Release Date - 15 April, 2024*

* Fixes
  * Fixed ObjectId conversion in RequestBody models

## v0.0.6

*Release Date - 08 April, 2024*

* New Features
  * [Sub Flow](/resources/subflows.md)
* New nodes available in Flow Engine
  * [Fire Event (SQS)](/flow-builder/node-types/external-nodes/fire-events-sqs.md)
  * [Send Email (SES)](/flow-builder/node-types/external-nodes/send-email-ses.md)
  * [Send SMS (SNS)](/flow-builder/node-types/external-nodes/send-sms-sns.md)
  * [Sort Array](/flow-builder/node-types/variable-nodes/arrays/sort-array.md)
  * [Execute Flow](/resources/subflows.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cosmocloud.io/references/change-log.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
